# %commit is intended to be set by tito custom builders provided
# in the .tito/lib directory. The values in this spec file will not be kept up to date.
%{!?commit:
%global commit b1f6fe3d4883333f3a56e156ae9d9264c819466e
}
# This is inserted to prevent RPM from requiring "/usr/bin/ansible-playbook"
# The ansible-playbook requirement will be provided by the explicit
#  "Requires: ansible" directive
%global __requires_exclude ^/usr/bin/ansible-playbook$

Name:           openshift-ansible
Version:        4.10.0
Release:        202210242129.p0.gb1f6fe3.assembly.stream%{?dist}
Summary:        Openshift and Atomic Enterprise Ansible
License:        ASL 2.0
URL:            https://github.com/openshift/openshift-ansible
Source0:        openshift-ansible-4.10.0-202210242129.p0.gb1f6fe3.assembly.stream.tar.gz
BuildArch:      noarch

Requires:      ansible >= 2.9.5
Requires:      openshift-clients
Requires:      openssl

%description
[Maintainer] product: OpenShift Container Platform
OpenShift RHEL Worker Management Ansible Playbooks

%prep
%setup -q -n openshift-ansible-4.10.0

%build

%install
# Base openshift-ansible install
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/ansible/%{name}/inventory
cp -rp inventory/dynamic %{buildroot}%{_datadir}/ansible/%{name}/inventory
cp ansible.cfg %{buildroot}%{_datadir}/ansible/%{name}/ansible.cfg

# Install example inventory into docs/examples
mkdir -p docs/example-inventories
cp inventory/hosts.* inventory/README.md docs/example-inventories/

cp -rp playbooks %{buildroot}%{_datadir}/ansible/%{name}/
cp -rp roles %{buildroot}%{_datadir}/ansible/%{name}/
cp -rp test %{buildroot}%{_datadir}/ansible/%{name}/

# Base openshift-ansible files
%files
%doc README*
%license LICENSE
%dir %{_datadir}/ansible/%{name}
%{_datadir}/ansible/%{name}/inventory
%{_datadir}/ansible/%{name}/ansible.cfg
%doc  docs
%{_datadir}/ansible/%{name}/playbooks
%{_datadir}/ansible/%{name}/roles

# ----------------------------------------------------------------------------------
# openshift-ansible-tests subpackage
# ----------------------------------------------------------------------------------
%package test
Summary:       Openshift and Atomic Enterprise Ansible Test Playbooks
Requires:      %{name} = %{version}-%{release}
Requires:      ansible >= 2.9.5
Requires:      openssh-clients
#Requires:      python3-boto
Requires:      python3-boto3
BuildArch:     noarch

%description test
[Maintainer] product: OpenShift Container Platform
%{summary}.

%files test
%{_datadir}/ansible/%{name}/test

%changelog
* Mon Oct 24 2022 AOS Automation Release Team <noreply@redhat.com> - 4.10.0-202210242129.p0.gb1f6fe3.assembly.stream
- Update to source commit https://github.com/openshift/openshift-ansible/commit/b1f6fe3d4883333f3a56e156ae9d9264c819466e
